Subject: [PATCH] gnu: gdal: Update to 3.10.2 and fix rpaths.

From: Sharlatan Hellseher <[email-masked]>
Date: Wed, 05 Mar 2025 20:21:00 +0000

Hi Lars,

Thank you for the patch!

Gdal is currently fails to build on master but after this patch is applied
I could build it.

There are some review points if you can cover to make it ready for apply.

- I see you keep "frmts/zlib" in snippet, may you describe the reason
please?

- Please organize your commit message with more details in style like,
look for example in currently applied commits:
--8<---------------cut here---------------start------------->8---
* <path> (<package-name>): <short summury of changes>.
[field] <sub-field>: Describe change
--8<---------------cut here---------------end--------------->8---

e.g.
--8<---------------cut here---------------start------------->8---
* gnu/packages/geo.scm (gdal): Update to 3.10.2. Use G-Expressions.
[source]: Snippet, do not remove "frmts/zlib" (why?)
[arguments] <phases>: Add 'fix-rpath.
--8<---------------cut here---------------end--------------->8---

- You may preserve the [inputs], [native-inputs] and [propagated-inputs]
indentations.

- You may simplify this:
--8<---------------cut here---------------start------------->8---
+              (let ((libdir (string-append (assoc-ref outputs "out") "/lib")))
--8<---------------cut here---------------end--------------->8---
to this
--8<---------------cut here---------------start------------->8---
+              (let ((libdir (string-append #$output "/lib")))
--8<---------------cut here---------------end--------------->8---

Looking forward for v2!

---
Oleg